Skip to main content
GET
/
information-schema-tables
/
{tableId}
cURL
curl https://api.growthbook.io/api/v1/information-schema-tables/ist_123abc \
  -u secret_abc123DEF456:
{
  "informationSchemaTable": {
    "id": "<string>",
    "datasourceId": "<string>",
    "informationSchemaId": "<string>",
    "tableName": "<string>",
    "tableSchema": "<string>",
    "databaseName": "<string>",
    "columns": [
      {
        "columnName": "<string>",
        "dataType": "<string>"
      }
    ],
    "refreshMS": 123,
    "dateCreated": "2023-11-07T05:31:56Z",
    "dateUpdated": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"

Path Parameters

tableId
string
required

The id of the information schema table

Response

200 - application/json

Success

informationSchemaTable
object
required